## cascading.stats.hadoop
Class HadoopSliceStats.HadoopAttempt

    java.lang.Object
      cascading.stats.hadoop.HadoopSliceStats.HadoopAttempt

Enclosing class:
  HadoopSliceStats

    public static class HadoopSliceStats.HadoopAttempt

extends Object

Constructor Summary
`HadoopSliceStats.HadoopAttempt(TaskCompletionEvent event)`

Method Summary
`int` `getEventId()`
`CascadingStats.Status` `getStatusFor()`
`int` `getTaskRunTime()`
`String` `getTaskStatus()`
`String` `getTaskTrackerHttp()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HadoopSliceStats.HadoopAttempt

    public HadoopSliceStats.HadoopAttempt(TaskCompletionEvent event)

Method Detail

### getEventId

    public int getEventId()

### getTaskRunTime

    public int getTaskRunTime()

### getTaskStatus

    public String getTaskStatus()

### getTaskTrackerHttp

    public String getTaskTrackerHttp()

### getStatusFor

    public CascadingStats.Status getStatusFor()

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.